/**
 * Copyright 2008 Devon Hillard (devon@digitalsanctuary.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
package com.digitalsanctuary.atg.crypto;

/**
 * This exception indicates that a severe error occurred while performing a cryptograpy operation.
 */
public class EncryptorException extends Exception {
    /**
     * Generated serial version UID.
     */
    private static final long serialVersionUID = -1327072933000456078L;

    /**
     * Constructs a new EncryptorException.
     */
    public EncryptorException() {
	super();
    }

    /**
     * Constructs a new EncryptorException with the given explanation.
     * 
     * @param pMessage
     *                the message for this exception.
     */
    public EncryptorException(final String pMessage) {
	super(pMessage);
    }

    /**
     * Constructs a new EncryptorException.
     * 
     * @param pSourceException
     *                the initial exception which was the root cause of the problem
     */
    public EncryptorException(final Throwable pSourceException) {
	super(pSourceException);
    }

    /**
     * Constructs a new EncryptorException with the given explanation.
     * 
     * @param pMessage
     *                the message for this exception.
     * @param pSourceException
     *                the initial exception which was the root cause of the problem
     */
    public EncryptorException(final String pMessage, final Throwable pSourceException) {
	super(pMessage, pSourceException);
    }
}
